Skip to content
Start here

Zone Transfers

Zone TransfersForce AXFR

Force AXFR
dns.zone_transfers.force_axfr.create(ForceAXFRCreateParams**kwargs) -> ForceAXFR
POST/zones/{zone_id}/secondary_dns/force_axfr
ModelsExpand Collapse
str

When force_axfr query parameter is set to true, the response is a simple string.

Zone TransfersIncoming

Secondary Zone Configuration Details
dns.zone_transfers.incoming.get(IncomingGetParams**kwargs) -> IncomingGetResponse
GET/zones/{zone_id}/secondary_dns/incoming
Create Secondary Zone Configuration
dns.zone_transfers.incoming.create(IncomingCreateParams**kwargs) -> IncomingCreateResponse
POST/zones/{zone_id}/secondary_dns/incoming
Update Secondary Zone Configuration
dns.zone_transfers.incoming.update(IncomingUpdateParams**kwargs) -> IncomingUpdateResponse
PUT/zones/{zone_id}/secondary_dns/incoming
Delete Secondary Zone Configuration
dns.zone_transfers.incoming.delete(IncomingDeleteParams**kwargs) -> IncomingDeleteResponse
DELETE/zones/{zone_id}/secondary_dns/incoming
ModelsExpand Collapse
class Incoming:
id: Optional[str]
auto_refresh_seconds: Optional[float]

How often should a secondary zone auto refresh regardless of DNS NOTIFY. Not applicable for primary zones.

minimum300
checked_time: Optional[str]

The time for a specific event.

created_time: Optional[str]

The time for a specific event.

modified_time: Optional[str]

The time for a specific event.

name: Optional[str]

Zone name.

peers: Optional[List[str]]

A list of peer tags.

soa_serial: Optional[float]

The serial number of the SOA for the given zone.

class IncomingGetResponse:
id: Optional[str]
auto_refresh_seconds: Optional[float]

How often should a secondary zone auto refresh regardless of DNS NOTIFY. Not applicable for primary zones.

minimum300
checked_time: Optional[str]

The time for a specific event.

created_time: Optional[str]

The time for a specific event.

modified_time: Optional[str]

The time for a specific event.

name: Optional[str]

Zone name.

peers: Optional[List[str]]

A list of peer tags.

soa_serial: Optional[float]

The serial number of the SOA for the given zone.

class IncomingCreateResponse:
id: Optional[str]
auto_refresh_seconds: Optional[float]

How often should a secondary zone auto refresh regardless of DNS NOTIFY. Not applicable for primary zones.

minimum300
checked_time: Optional[str]

The time for a specific event.

created_time: Optional[str]

The time for a specific event.

modified_time: Optional[str]

The time for a specific event.

name: Optional[str]

Zone name.

peers: Optional[List[str]]

A list of peer tags.

soa_serial: Optional[float]

The serial number of the SOA for the given zone.

class IncomingUpdateResponse:
id: Optional[str]
auto_refresh_seconds: Optional[float]

How often should a secondary zone auto refresh regardless of DNS NOTIFY. Not applicable for primary zones.

minimum300
checked_time: Optional[str]

The time for a specific event.

created_time: Optional[str]

The time for a specific event.

modified_time: Optional[str]

The time for a specific event.

name: Optional[str]

Zone name.

peers: Optional[List[str]]

A list of peer tags.

soa_serial: Optional[float]

The serial number of the SOA for the given zone.

class IncomingDeleteResponse:
id: Optional[str]

Zone TransfersOutgoing

Primary Zone Configuration Details
dns.zone_transfers.outgoing.get(OutgoingGetParams**kwargs) -> OutgoingGetResponse
GET/zones/{zone_id}/secondary_dns/outgoing
Create Primary Zone Configuration
dns.zone_transfers.outgoing.create(OutgoingCreateParams**kwargs) -> OutgoingCreateResponse
POST/zones/{zone_id}/secondary_dns/outgoing
Update Primary Zone Configuration
dns.zone_transfers.outgoing.update(OutgoingUpdateParams**kwargs) -> OutgoingUpdateResponse
PUT/zones/{zone_id}/secondary_dns/outgoing
Delete Primary Zone Configuration
dns.zone_transfers.outgoing.delete(OutgoingDeleteParams**kwargs) -> OutgoingDeleteResponse
DELETE/zones/{zone_id}/secondary_dns/outgoing
Disable Outgoing Zone Transfers
dns.zone_transfers.outgoing.disable(OutgoingDisableParams**kwargs) -> DisableTransfer
POST/zones/{zone_id}/secondary_dns/outgoing/disable
Enable Outgoing Zone Transfers
dns.zone_transfers.outgoing.enable(OutgoingEnableParams**kwargs) -> EnableTransfer
POST/zones/{zone_id}/secondary_dns/outgoing/enable
Force DNS NOTIFY
dns.zone_transfers.outgoing.force_notify(OutgoingForceNotifyParams**kwargs) -> OutgoingForceNotifyResponse
POST/zones/{zone_id}/secondary_dns/outgoing/force_notify
ModelsExpand Collapse
str

The zone transfer status of a primary zone.

str

The zone transfer status of a primary zone.

class Outgoing:
id: Optional[str]
checked_time: Optional[str]

The time for a specific event.

created_time: Optional[str]

The time for a specific event.

last_transferred_time: Optional[str]

The time for a specific event.

name: Optional[str]

Zone name.

peers: Optional[List[str]]

A list of peer tags.

soa_serial: Optional[float]

The serial number of the SOA for the given zone.

Optional[str]

The zone transfer status of a primary zone.

class OutgoingGetResponse:
id: Optional[str]
checked_time: Optional[str]

The time for a specific event.

created_time: Optional[str]

The time for a specific event.

last_transferred_time: Optional[str]

The time for a specific event.

name: Optional[str]

Zone name.

peers: Optional[List[str]]

A list of peer tags.

soa_serial: Optional[float]

The serial number of the SOA for the given zone.

class OutgoingCreateResponse:
id: Optional[str]
checked_time: Optional[str]

The time for a specific event.

created_time: Optional[str]

The time for a specific event.

last_transferred_time: Optional[str]

The time for a specific event.

name: Optional[str]

Zone name.

peers: Optional[List[str]]

A list of peer tags.

soa_serial: Optional[float]

The serial number of the SOA for the given zone.

class OutgoingUpdateResponse:
id: Optional[str]
checked_time: Optional[str]

The time for a specific event.

created_time: Optional[str]

The time for a specific event.

last_transferred_time: Optional[str]

The time for a specific event.

name: Optional[str]

Zone name.

peers: Optional[List[str]]

A list of peer tags.

soa_serial: Optional[float]

The serial number of the SOA for the given zone.

class OutgoingDeleteResponse:
id: Optional[str]
str

When force_notify query parameter is set to true, the response is a simple string.

Zone TransfersOutgoingStatus

Get Outgoing Zone Transfer Status
dns.zone_transfers.outgoing.status.get(StatusGetParams**kwargs) -> EnableTransfer
GET/zones/{zone_id}/secondary_dns/outgoing/status

Zone TransfersACLs

List ACLs
dns.zone_transfers.acls.list(ACLListParams**kwargs) -> SyncSinglePage[ACL]
GET/accounts/{account_id}/secondary_dns/acls
ACL Details
dns.zone_transfers.acls.get(stracl_id, ACLGetParams**kwargs) -> ACL
GET/accounts/{account_id}/secondary_dns/acls/{acl_id}
Create ACL
dns.zone_transfers.acls.create(ACLCreateParams**kwargs) -> ACL
POST/accounts/{account_id}/secondary_dns/acls
Update ACL
dns.zone_transfers.acls.update(stracl_id, ACLUpdateParams**kwargs) -> ACL
PUT/accounts/{account_id}/secondary_dns/acls/{acl_id}
Delete ACL
dns.zone_transfers.acls.delete(stracl_id, ACLDeleteParams**kwargs) -> ACLDeleteResponse
DELETE/accounts/{account_id}/secondary_dns/acls/{acl_id}
ModelsExpand Collapse
class ACL:
id: str
ip_range: str

Allowed IPv4/IPv6 address range of primary or secondary nameservers. This will be applied for the entire account. The IP range is used to allow additional NOTIFY IPs for secondary zones and IPs Cloudflare allows AXFR/IXFR requests from for primary zones. CIDRs are limited to a maximum of /24 for IPv4 and /64 for IPv6 respectively.

name: str

The name of the acl.

class ACLDeleteResponse:
id: Optional[str]

Zone TransfersPeers

List Peers
dns.zone_transfers.peers.list(PeerListParams**kwargs) -> SyncSinglePage[Peer]
GET/accounts/{account_id}/secondary_dns/peers
Peer Details
dns.zone_transfers.peers.get(strpeer_id, PeerGetParams**kwargs) -> Peer
GET/accounts/{account_id}/secondary_dns/peers/{peer_id}
Create Peer
dns.zone_transfers.peers.create(PeerCreateParams**kwargs) -> Peer
POST/accounts/{account_id}/secondary_dns/peers
Update Peer
dns.zone_transfers.peers.update(strpeer_id, PeerUpdateParams**kwargs) -> Peer
PUT/accounts/{account_id}/secondary_dns/peers/{peer_id}
Delete Peer
dns.zone_transfers.peers.delete(strpeer_id, PeerDeleteParams**kwargs) -> PeerDeleteResponse
DELETE/accounts/{account_id}/secondary_dns/peers/{peer_id}
ModelsExpand Collapse
class Peer:
id: str
name: str

The name of the peer.

ip: Optional[str]

IPv4/IPv6 address of primary or secondary nameserver, depending on what zone this peer is linked to. For primary zones this IP defines the IP of the secondary nameserver Cloudflare will NOTIFY upon zone changes. For secondary zones this IP defines the IP of the primary nameserver Cloudflare will send AXFR/IXFR requests to.

ixfr_enable: Optional[bool]

Enable IXFR transfer protocol, default is AXFR. Only applicable to secondary zones.

port: Optional[float]

DNS port of primary or secondary nameserver, depending on what zone this peer is linked to.

tsig_id: Optional[str]

TSIG authentication will be used for zone transfer if configured.

class PeerDeleteResponse:
id: Optional[str]

Zone TransfersTSIGs

List TSIGs
dns.zone_transfers.tsigs.list(TSIGListParams**kwargs) -> SyncSinglePage[TSIG]
GET/accounts/{account_id}/secondary_dns/tsigs
TSIG Details
dns.zone_transfers.tsigs.get(strtsig_id, TSIGGetParams**kwargs) -> TSIG
GET/accounts/{account_id}/secondary_dns/tsigs/{tsig_id}
Create TSIG
dns.zone_transfers.tsigs.create(TSIGCreateParams**kwargs) -> TSIG
POST/accounts/{account_id}/secondary_dns/tsigs
Update TSIG
dns.zone_transfers.tsigs.update(strtsig_id, TSIGUpdateParams**kwargs) -> TSIG
PUT/accounts/{account_id}/secondary_dns/tsigs/{tsig_id}
Delete TSIG
dns.zone_transfers.tsigs.delete(strtsig_id, TSIGDeleteParams**kwargs) -> TSIGDeleteResponse
DELETE/accounts/{account_id}/secondary_dns/tsigs/{tsig_id}
ModelsExpand Collapse
class TSIG:
id: str
algo: str

TSIG algorithm.

name: str

TSIG key name.

secret: str

TSIG secret.

class TSIGDeleteResponse:
id: Optional[str]